Updating glibc on CentOS 6

General support questions
snowfun87
Posts: 1
Joined: 2017/11/05 08:15:44

Updating glibc on CentOS 6

Postby snowfun87 » 2017/11/05 08:19:26

Hello,

I'm trying to install a package that returns:

libc.so.6(GLIBC_2.15) is needed by pcloudcc-2.0.1-2.i386
libc.so.6(GLIBC_2.17) is needed by pcloudcc-2.0.1-2.i386

Is it possible to update glibc on CentOS 6 cPanel server without breaking things?

User avatar
TrevorH
Forum Moderator
Posts: 21158
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Updating glibc on CentOS 6

Postby TrevorH » 2017/11/05 13:26:23

No. That package is for CentOS 7 which has glibc 2.17. Any attempt to upgrade glibc will render your system unbootable. The only other solution is to rebuild the package for CentOS 6 (means having the SRPM that was used to build it).
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke